
figure(graphwindow);

watchon;

getvals;

%compute function values
x=-pi:(2*pi/fine):pi;
%y=(2*pi*radius/(100*fine)):(2*pi*radius/fine):radius;
y=radius:-radius/(floor(fine/(2*pi))):0;
%y=0:(2*pi*radius/fine):radius;
[A,B]=meshgrid(x,y);
z=centre+B.*cos(A)+i*B.*sin(A);

%which functions are nonempty?
if min(isspace(fctstring))==0 fctdata; else data=[]; end
if min(isspace(fctstring2))==0 fct2data; else data2=[]; end

%draw graph
colormap(hsv(256));
if isempty(data)==0 surf(real(z),imag(z),mag,arg); hold on; end
if isempty(data2)==0 surf(real(z),imag(z),mag2,arg2); end
view([viewaz viewel]);
xlabel('real'); ylabel('imaginary'); zlabel('modulus');
caxis([-pi pi]);
shading flat;
grid on;
set(gca,'AspectRatio',[1 1]);
if dp==0 pderot3d on; end
whitebg('white');

hold off;

watchoff;




































































