
pfctstring='.125*(z-z.^2).^3';
fctstring=pfctstring;
set(function,'string',fctstring);

pfctstring2='z';
fctstring2=pfctstring2;
set(function2,'string',fctstring2);

set(centreinput,'string','0');

set(radiusinput,'string','1');

set(maxheightinput,'string','5');

set(fineinput,'string','100');

figure(graphwindow); view([35 38]);

extext=[...
'This is an illustration of Schwarz''s   ';
'Lemma.                                 ';
'                                       ';
'There are two functions graphed here:  ';
'A polynomial p(z) of degree six, and   ';
'the identity function.  The polynomial ';
'has a maximum modulus of 1 on the      ';
'closed unit disc, which it achieves on ';
'the boundary, and has a zero at zero.  ';
'Schwarz''s Lemma says that in this      ';
'situation the modulus of p(z) is less  ';
'than the modulus of z on the open unit ';
'disc.  How can you see this from the   ';
'graph?                                 ';
'                                       ';
'                                       ';
'                                       ';
'                                       ';
'                                       ';
'                                       ';
'                                       ';
'                                       '];













