
controlwindow=figure('units','normalized',...
                     'position',[.55 .5 .4 .4],...
                     'numbertitle','off',...
                     'name','Control Panel');

whitebg('black');

axes('visible','off');

fineinput=uicontrol('style','edit',...
                    'units','normalized',...
                    'position',[0 .6 .2 .08],...
                    'string',num2str(fine));
text('units','normalized',...
     'position',[.15 .65],...
     'string','Accuracy');

maxheightinput=uicontrol('style','edit',...
                         'units','normalized',...
                         'position',[.4 .6 .2 .08],...
                         'string',num2str(maxheight));
text('units','normalized',...
     'position',[.65 .65],...
     'string','Max. Height');

function=uicontrol('style','edit',...
                   'units','normalized',...
                   'string',fctstring,...
                   'position',[0 .9 .8 .1],...
                   'callback','setfct');
text('units','normalized',...
     'position',[.9 1],...
     'string','Function');

function2=uicontrol('style','edit',...
                    'units','normalized',...
                    'string',fctstring2,...
                    'position',[0 .8 .8 .1],...
                    'callback','setfct2');
text('units','normalized',...
     'position',[.9 .9],...
     'string','Function');

graphbutton=uicontrol('style','pushbutton',...
                      'units','normalized',...
                      'string','Draw Graph',...
                      'position',[0 .45 .2 .1],...
                      'callback','drawgraph');

centreinput=uicontrol('style','edit',...
                      'units','normalized',...
                      'string',num2str(centre),...
                      'position',[0 .7 .2 .08]);
text('units','normalized',...
     'position',[.15 .75],...
     'string','Centre');

radiusinput=uicontrol('style','edit',...
                      'units','normalized',...
                      'string',num2str(radius),...
                      'position',[.4 .7 .2 .08]);
text('units','normalized',...
     'position',[.65 .75],...
     'string','Radius');

translatebutton=uicontrol('style','pushbutton',...
                          'units','normalized',...
                          'string','Translate',...
                          'position',[.3 .45 .2 .1],...
                          'callback','translate');

quitbutton=uicontrol('style','pushbutton',...
                     'units','normalized',...
                     'string','Quit',...
                     'position',[.6 .45 .2 .1],...
                     'callback','quitgraph');

xaxisbutton=uicontrol('style','pushbutton',...
                      'units','normalized',...
                      'string','Real Axis',...
                      'position',[0 .3 .2 .1],...
                      'callback','figure(graphwindow); view([0 0])');

yaxisbutton=uicontrol('style','pushbutton',...
                      'units','normalized',...
                      'string','Imag. Axis',...
                      'position',[.3 .3 .2 .1],...
                      'callback','figure(graphwindow); view([90 0])');

zaxisbutton=uicontrol('style','pushbutton',...
                      'units','normalized',...
                      'string','Overhead',...
                      'position',[.6 .3 .2 .1],...
                      'callback','figure(graphwindow); view(2)');

helpbutton=uicontrol('style','pushbutton',...
                     'units','normalized',...
                     'string','Help',...
                     'position',[0 .15 .2 .1],...
                     'callback','if helpon==0 drawhelpwindow; end');

exbutton=uicontrol('style','pushbutton',...
                   'units','normalized',...
                   'string','Examples',...
                   'position',[.3 .15 .2 .1],...
                   'callback','if exon==0 selectex; end');














