
textarray=[...
'WARNING:  Depending on what machine you';
'are using, there may be some problems  ';
'with the way colours are displayed.    ';
'Colours might only be reliably         ';
'displayed in the window which is       ';
'underneath the mouse pointer.  This may';
'cause problems with trying to use the  ';
'Standard Plane window as a reference.  ';
'                                       ';
'WARNING:  Matlab''s editable text fields';
'don''t work properly.  You may be unable';
'to see all of the text which you have  ';
'entered.  You can drag the mouse, while';
'holding down the mouse button, over a  ';
'text field to highlight and show what  ';
'is in that field.  However, highlighted';
'text is prone to deletion, so be       ';
'careful.                               ';
'                                       ';
'INTERPRETING THE GRAPH:                ';
'                                       ';
'The axes labelled ''real'' and           ';
'''imaginary'' indicate the domain of the ';
'graph.  The modulus of a function at a ';
'given point in the domain is given by  ';
'the height of the graph above that     ';
'point.  The argument of a function at a';
'given point in the domain is given by  ';
'the colour of the corresponding point  ';
'on the graph.  You can see which       ';
'colours represent which arguments by   ';
'looking at the Standard Plane window.  ';
'                                       ';
'ENTERING FUNCTIONS:                    ';
'                                       ';
'You may enter one or two functions.  If';
'you enter two functions, they will be  ';
'graphed simulataneously.  To see the   ';
'graph of only one function, leave blank';
'one of the Function fields on the      ';
'Control Panel.                         '; 
'                                       ';
'Press <RETURN> after entering a        ';
'function.                              ';
'                                       ';
'Many of Matlab''s functions may be used ';
'with this program:  exp(z) for the     ';
'exponential function, log(z) for the   ';
'logarithm, sin(z), cos(z), etc.        ';
'                                       ';
'When multiplying or dividing a function';
'by a constant, use the symbols * and / ';
'respectively.  Example:  3*z           ';
'                                       ';
'When adding or subtracting a constant  ';
'to a function, use the symbols + and - ';
'respectivley.  Example:  3+z           ';
'                                       ';
'When adding or subtracting two         ';
'functions, use the symbols + and -     ';
'respectively.  Example:  z + cos(z)    ';
'                                       ';
'When multiplying or dividing a function';
'by another, use the symbols .* and ./  ';
'respectively.  Example:  z .* cos(z)   ';
'                                       ';
'When using an exponent, use the symbol ';
'.^  Example:  z .^ 3                   ';
'                                       ';
'CENTRE:                                ';
'                                       ';
'The centre of the domain of the graph, ';
'given in the form a+bi.  (Not in the   ';
'form a+b*i, or (a,b).)                 ';
'                                       ';
'RADIUS:                                ';
'                                       ';
'The radius of the domain of the graph. ';
'This should be a positive real number. ';
'                                       ';
'MAX. HEIGHT:                           ';
'                                       ';
'The largest modulus that will be       ';
'displayed on the graph.  This should be';
'a positive real number.                ';
'                                       ';
'ACCURACY:                              ';
'                                       ';
'This number is the number of increments';
'in argument used to compute function   ';
'values.  The number of increments in   ';
'radius is approximately a sixth as     ';
'large.                                 ';
'                                       ';
'DRAW GRAPH:                            ';
'                                       ';
'This button, when pressed, redraws the ';
'graph, with whatever values have been  ';
'entered on the Control Panel.          ';
'Redrawing the graph retains the point  ';
'of view used in the previous graph.    ';
'                                       ';
'TRANSLATE:                             ';
'                                       ';
'This button allows you to replace a    ';
'function f(z) by f(z) - f(a), where "a"';
'is a point that you select with the    ';
'mouse.  When Translate is pressed, the ';
'current graph is replaced by on        ';
'overhead view of the current           ';
'function(s).  Move the mouse to a point';
'in the Graph Window, and press the     ';
'mouse button.  The functions that are  ';
'being graphed are then translated so   ';
'that they have a zero at the selected  ';
'point.  This is useful because some    ';
'features of an analytic function       ';
'(critical points, for example) are most';
'easily seen at a zero of the function. ';
'                                       ';
'QUIT:                                  ';
'                                       ';
'This button quits out of the graphing  ';
'program, but not out of Matlab.        ';
'                                       ';
'REAL AXIS:                             ';
'                                       ';
'This button shows the graph along a    ';
'line of sight parallel to the imaginary';
'axis, so that only the real axis and   ';
'the modulus axis are seen.  This is    ';
'useful for examining the moduli of     ';
'functions.                             ';
'                                       ';
'IMAG. AXIS:                            ';
'                                       ';
'This button shows the graph along a    ';
'line of sight parallel to the real     ';
'axis, so that only the imaginary axis  ';
'and the modulus axis are seen.  This is';
'useful for examining the moduli of     ';
'functions.                             ';
'                                       ';
'OVERHEAD:                              ';
'                                       ';
'This button shows the graph along a    ';
'line of sight parallel to the modulus  ';
'axis, so that only the real axis and   ';
'imaginary axis are seen.  This is      ';
'useful for examining the arguments of  ';
'functions.                             ';
'                                       ';
'HELP:                                  ';
'                                       ';
'This button pops up the Help window.   ';
'                                       ';
'EXAMPLES:                              ';
'                                       ';
'This button gives you a choice of      ';
'prepared examples to view.  These      ';
'examples are designed to show how this ';
'program can help you to see different  ';
'features of complex analytic functions.';
'                                       ';
'ROTATING THE GRAPH:                    ';
'                                       ';
'Unless you have just pressed the       ';
'Translate button, the mouse allows you ';
'to rotate the graph.  Move the mouse to';
'the graph window, and hold the mouse   ';
'button down.  After a moment, a        ';
'"wire-frame" box, with edges parallel  ';
'to the axes, will appear.  (The ''X'' on ';
'this box indicates which side, top or  ';
'bottom, would be obscured from your    ';
'point of view.)  By moving the mouse   ';
'(with the button still pressed), you   ';
'can rotate this box.  When you release ';
'the mouse button, the graph will be    ';
'redrawn so that the axes are parallel  ';
'the edges of the rotated box.          ';
'                                       ';
'                                       ';
'                                       ';
'                                       ';
'                                       ';
'                                       '];

s=size(textarray);
numlines=s(1);























